Skip to Content
Chameleon Docs

Read page colors

The rendered color at points of a page, and the page's detected color.

POST
/api/manuals/{id}/pages/{page}/colors

The rendered color at points of a page, and the page's detected color.

Authorization

headerx-api-key<token>

Scope: manuals:read

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
page*integer
Range1 <= value

Request Body

application/json
  1. body
points*array<array<any>>
Items1 <= items <= 500

Response Body

A color for each point, in the order asked

application/json
  1. response
page*integer
colors*array<array<any>>
pageColor*array<any>
Example Request
curl -X POST 'https://www.chameleonlabs.org/api/manuals/string/pages/1/colors' \  -H 'Content-Type: application/json' \  -d '{  "points": [    [      -100000,      -100000    ]  ]}'
Example Response
{  "page": 0,  "colors": [    [      0,      0,      0    ]  ],  "pageColor": [    0,    0,    0  ]}